#include <stdio.h>
#include <stdlib.h>

FILE *ArqIn, *ArqOut;

char  nome[100][30];
float  a1[100];
float  a2[100];
float  a3[100];
float media[100];

float Maior;

main()
{
  int i;
  
  ArqIn=fopen("coleta.txt","rt");
  if (ArqIn == NULL)
  {
     printf("\n## Erro na abertura do arquivo de entrada ##\n");
     system("Pause");
     exit(0);  
  }
  
  ArqOut=fopen("resultado.txt","wt");
  if (ArqOut == NULL)
  {
     printf("\n## Erro na abertura do arquivo de saida ##\n");
     system("Pause");
     exit(0);  
  }

  Maior=0.0;
  i=0;
  while (!feof(ArqIn))
  {
     fscanf(ArqIn,"%s %f %f %f", nome[i],&a1[i],
            &a3[i],&a2[i]);
           
     media[i]= (a1[i] + a2[i] + a3[i])/3.0;
     fprintf(ArqOut,"%s %f\n",nome[i],media[i]);

     if (Maior < a1[i]) Maior=a1[i];
     if (Maior < a2[i]) Maior=a2[i];
     if (Maior < a3[i]) Maior=a3[i];

     i++;
  }
  
  fclose(ArqIn);
  fclose(ArqOut);
  
  printf("\n");
  printf("Quantidade total de arvores com dados coletados: %d\n",i); 
  printf("Altura da maior arvore: %f\n",Maior);

  printf("\n");
  system("Pause");
}

        
